%global debug_package %{nil}
%define libnamedev %mklibname snark  -d
%define libnamestaticdev %mklibname snark -s -d

Name:           libsnark
Version:        20140603
Release:        %mkrel 3
Summary:        A C++ library for zkSNARK proofs
Group:		System/Libraries
License:        MIT
URL:            https://github.com/scipr-lab/libsnark/
Source0:        https://github.com/scipr-lab/libsnark/archive/%{name}-master.zip
Patch0:		libsnark-makefile.patch
# ate-paring (aka zm-static-devel) won't compile under i586 or ARM
ExclusiveArch:  x86_64
BuildRequires:	gmp-devel
BuildRequires:	zm-static-devel
BuildRequires:	procps-devel
BuildRequires:	gmpxx-devel
BuildRequires:	libboost-devel
BuildRequires:	openssl-devel

%description
This library implements zkSNARK schemes, which are a cryptographic method for 
proving/verifying, in zero knowledge, the integrity of computations.


%package        -n %libnamedev
Summary:        Development files for %{name}
Provides:	snark-devel

%description    -n %libnamedev
This library implements zkSNARK schemes, which are a cryptographic method for 
proving/verifying, in zero knowledge, the integrity of computations.

%package        -n %libnamestaticdev
Summary:        Development files for %{name}
Provides:	snark-static-devel

%description    -n %libnamestaticdev
This library implements zkSNARK schemes, which are a cryptographic method for 
proving/verifying, in zero knowledge, the integrity of computations.


%prep
%setup -q  -n libsnark-master
%patch0 

%build
%make_build lib

%install
%makeinstall_std PREFIX=$RPM_BUILD_ROOT/usr LIBDIR=$RPM_BUILD_ROOT/%{_libdir}
%makeinstall_std PREFIX=$RPM_BUILD_ROOT/usr LIBDIR=$RPM_BUILD_ROOT/%{_libdir} STATIC=1
#{__mkdir_p} %{buildroot}%{_includedir}/supercop
#{__mkdir_p} %{buildroot}%{_libdir}/
#{__install} -p include/{crypto_core_aes128encrypt.h,crypto_hash_sha256.h,crypto_hash_sha512.h,crypto_sign_ed25519.h,crypto_sign.h,crypto_verify_16.h,crypto_verify_32.h,crypto_verify_8.h,randombytes.h}  %{buildroot}%{_includedir}/supercop
#{__install} -p lib/libsupercop.a  %{buildroot}%{_libdir}

%files -n %libnamedev
%doc README.md AUTHORS
%license LICENSE
#{_includedir}/supercop/*
%{_libdir}/libsnark.so
%{_includedir}/libsnark/algebra/curves/alt_bn128/alt_bn128_g1.hpp
%{_includedir}/libsnark/algebra/curves/alt_bn128/alt_bn128_g2.hpp
%{_includedir}/libsnark/algebra/curves/alt_bn128/alt_bn128_init.hpp
%{_includedir}/libsnark/algebra/curves/alt_bn128/alt_bn128_pairing.hpp
%{_includedir}/libsnark/algebra/curves/alt_bn128/alt_bn128_pp.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn128_g1.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn128_g2.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn128_gt.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn128_init.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn128_pairing.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn128_pp.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn_utils.hpp
%{_includedir}/libsnark/algebra/curves/bn128/bn_utils.tcc
%{_includedir}/libsnark/algebra/curves/curve_utils.hpp
%{_includedir}/libsnark/algebra/curves/curve_utils.tcc
%{_includedir}/libsnark/algebra/curves/edwards/edwards_g1.hpp
%{_includedir}/libsnark/algebra/curves/edwards/edwards_g2.hpp
%{_includedir}/libsnark/algebra/curves/edwards/edwards_init.hpp
%{_includedir}/libsnark/algebra/curves/edwards/edwards_pairing.hpp
%{_includedir}/libsnark/algebra/curves/edwards/edwards_pp.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt4/mnt4_g1.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt4/mnt4_g2.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt4/mnt4_init.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt4/mnt4_pairing.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt4/mnt4_pp.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt46_common.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt6/mnt6_g1.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt6/mnt6_g2.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt6/mnt6_init.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt6/mnt6_pairing.hpp
%{_includedir}/libsnark/algebra/curves/mnt/mnt6/mnt6_pp.hpp
%{_includedir}/libsnark/algebra/curves/public_params.hpp
%{_includedir}/libsnark/algebra/evaluation_domain/domains/basic_radix2_domain.hpp
%{_includedir}/libsnark/algebra/evaluation_domain/domains/basic_radix2_domain.tcc
%{_includedir}/libsnark/algebra/evaluation_domain/domains/basic_radix2_domain_aux.hpp
%{_includedir}/libsnark/algebra/evaluation_domain/domains/basic_radix2_domain_aux.tcc
%{_includedir}/libsnark/algebra/evaluation_domain/domains/extended_radix2_domain.hpp
%{_includedir}/libsnark/algebra/evaluation_domain/domains/extended_radix2_domain.tcc
%{_includedir}/libsnark/algebra/evaluation_domain/domains/step_radix2_domain.hpp
%{_includedir}/libsnark/algebra/evaluation_domain/domains/step_radix2_domain.tcc
%{_includedir}/libsnark/algebra/evaluation_domain/evaluation_domain.hpp
%{_includedir}/libsnark/algebra/evaluation_domain/evaluation_domain.tcc
%{_includedir}/libsnark/algebra/exponentiation/exponentiation.hpp
%{_includedir}/libsnark/algebra/exponentiation/exponentiation.tcc
%{_includedir}/libsnark/algebra/fields/bigint.hpp
%{_includedir}/libsnark/algebra/fields/bigint.tcc
%{_includedir}/libsnark/algebra/fields/field_utils.hpp
%{_includedir}/libsnark/algebra/fields/field_utils.tcc
%{_includedir}/libsnark/algebra/fields/fp.hpp
%{_includedir}/libsnark/algebra/fields/fp.tcc
%{_includedir}/libsnark/algebra/fields/fp12_2over3over2.hpp
%{_includedir}/libsnark/algebra/fields/fp12_2over3over2.tcc
%{_includedir}/libsnark/algebra/fields/fp2.hpp
%{_includedir}/libsnark/algebra/fields/fp2.tcc
%{_includedir}/libsnark/algebra/fields/fp3.hpp
%{_includedir}/libsnark/algebra/fields/fp3.tcc
%{_includedir}/libsnark/algebra/fields/fp4.hpp
%{_includedir}/libsnark/algebra/fields/fp4.tcc
%{_includedir}/libsnark/algebra/fields/fp6_2over3.hpp
%{_includedir}/libsnark/algebra/fields/fp6_2over3.tcc
%{_includedir}/libsnark/algebra/fields/fp6_3over2.hpp
%{_includedir}/libsnark/algebra/fields/fp6_3over2.tcc
%{_includedir}/libsnark/algebra/fields/fp_aux.tcc
%{_includedir}/libsnark/algebra/knowledge_commitment/knowledge_commitment.hpp
%{_includedir}/libsnark/algebra/knowledge_commitment/knowledge_commitment.tcc
%{_includedir}/libsnark/algebra/scalar_multiplication/kc_multiexp.hpp
%{_includedir}/libsnark/algebra/scalar_multiplication/kc_multiexp.tcc
%{_includedir}/libsnark/algebra/scalar_multiplication/multiexp.hpp
%{_includedir}/libsnark/algebra/scalar_multiplication/multiexp.tcc
%{_includedir}/libsnark/algebra/scalar_multiplication/wnaf.hpp
%{_includedir}/libsnark/algebra/scalar_multiplication/wnaf.tcc
%{_includedir}/libsnark/common/data_structures/accumulation_vector.hpp
%{_includedir}/libsnark/common/data_structures/accumulation_vector.tcc
%{_includedir}/libsnark/common/data_structures/integer_permutation.hpp
%{_includedir}/libsnark/common/data_structures/merkle_tree.hpp
%{_includedir}/libsnark/common/data_structures/merkle_tree.tcc
%{_includedir}/libsnark/common/data_structures/set_commitment.hpp
%{_includedir}/libsnark/common/data_structures/set_commitment.tcc
%{_includedir}/libsnark/common/data_structures/sparse_vector.hpp
%{_includedir}/libsnark/common/data_structures/sparse_vector.tcc
%{_includedir}/libsnark/common/default_types/bacs_ppzksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/ec_pp.hpp
%{_includedir}/libsnark/common/default_types/r1cs_gg_ppzksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/r1cs_ppzkadsnark_pp.hpp
%{_includedir}/libsnark/common/default_types/r1cs_ppzkpcd_pp.hpp
%{_includedir}/libsnark/common/default_types/r1cs_ppzksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/ram_ppzksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/ram_zksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/tbcs_ppzksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/tinyram_ppzksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/tinyram_zksnark_pp.hpp
%{_includedir}/libsnark/common/default_types/uscs_ppzksnark_pp.hpp
%{_includedir}/libsnark/common/profiling.hpp
%{_includedir}/libsnark/common/rng.hpp
%{_includedir}/libsnark/common/rng.tcc
%{_includedir}/libsnark/common/routing_algorithms/as_waksman_routing_algorithm.hpp
%{_includedir}/libsnark/common/routing_algorithms/benes_routing_algorithm.hpp
%{_includedir}/libsnark/common/serialization.hpp
%{_includedir}/libsnark/common/serialization.tcc
%{_includedir}/libsnark/common/template_utils.hpp
%{_includedir}/libsnark/common/utils.hpp
%{_includedir}/libsnark/common/utils.tcc
%{_includedir}/libsnark/gadgetlib1/constraint_profiling.hpp
%{_includedir}/libsnark/gadgetlib1/examples/simple_example.hpp
%{_includedir}/libsnark/gadgetlib1/examples/simple_example.tcc
%{_includedir}/libsnark/gadgetlib1/gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/basic_gadgets.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/basic_gadgets.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/fooram/components/bar_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/fooram/components/bar_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/fooram/components/fooram_protoboard.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/fooram/components/fooram_protoboard.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/fooram/fooram_cpu_checker.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/fooram/fooram_cpu_checker.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/alu_arithmetic.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/alu_arithmetic.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/alu_control_flow.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/alu_control_flow.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/alu_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/alu_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/argument_decoder_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/argument_decoder_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/consistency_enforcer_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/consistency_enforcer_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/instruction_packing_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/instruction_packing_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/memory_masking_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/memory_masking_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/tinyram_protoboard.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/tinyram_protoboard.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/components/word_variable_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/tinyram_cpu_checker.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/cpu_checkers/tinyram/tinyram_cpu_checker.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/curves/weierstrass_g1_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/curves/weierstrass_g1_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/curves/weierstrass_g2_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/curves/weierstrass_g2_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/delegated_ra_memory/memory_load_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/delegated_ra_memory/memory_load_store_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/exponentiation_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/exponentiation_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp2_gadgets.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp2_gadgets.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp3_gadgets.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp3_gadgets.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp4_gadgets.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp4_gadgets.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp6_gadgets.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/fields/fp6_gadgets.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/gadget_from_r1cs.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/gadget_from_r1cs.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/crh_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/digest_selector_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/digest_selector_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/hash_io.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/hash_io.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/knapsack/knapsack_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/knapsack/knapsack_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/sha256/sha256_aux.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/sha256/sha256_aux.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/sha256/sha256_components.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/sha256/sha256_components.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/sha256/sha256_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/hashes/sha256/sha256_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/merkle_tree/merkle_authentication_path_variable.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/merkle_tree/merkle_authentication_path_variable.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/merkle_tree/merkle_tree_check_read_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/merkle_tree/merkle_tree_check_read_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/merkle_tree/merkle_tree_check_update_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/merkle_tree/merkle_tree_check_update_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/mnt_pairing_params.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/pairing_checks.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/pairing_checks.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/pairing_params.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/weierstrass_final_exponentiation.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/weierstrass_final_exponentiation.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/weierstrass_miller_loop.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/weierstrass_miller_loop.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/weierstrass_precomputation.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/pairing/weierstrass_precomputation.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/routing/as_waksman_routing_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/routing/as_waksman_routing_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/routing/benes_routing_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/routing/benes_routing_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/set_commitment/set_commitment_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/set_commitment/set_commitment_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/set_commitment/set_membership_proof_variable.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/set_commitment/set_membership_proof_variable.tcc
%{_includedir}/libsnark/gadgetlib1/gadgets/verifiers/r1cs_ppzksnark_verifier_gadget.hpp
%{_includedir}/libsnark/gadgetlib1/gadgets/verifiers/r1cs_ppzksnark_verifier_gadget.tcc
%{_includedir}/libsnark/gadgetlib1/pb_variable.hpp
%{_includedir}/libsnark/gadgetlib1/pb_variable.tcc
%{_includedir}/libsnark/gadgetlib1/protoboard.hpp
%{_includedir}/libsnark/gadgetlib1/protoboard.tcc
%{_includedir}/libsnark/gadgetlib2/adapters.hpp
%{_includedir}/libsnark/gadgetlib2/constraint.hpp
%{_includedir}/libsnark/gadgetlib2/examples/simple_example.hpp
%{_includedir}/libsnark/gadgetlib2/gadget.hpp
%{_includedir}/libsnark/gadgetlib2/gadgetMacros.hpp
%{_includedir}/libsnark/gadgetlib2/infrastructure.hpp
%{_includedir}/libsnark/gadgetlib2/integration.hpp
%{_includedir}/libsnark/gadgetlib2/pp.hpp
%{_includedir}/libsnark/gadgetlib2/protoboard.hpp
%{_includedir}/libsnark/gadgetlib2/variable.hpp
%{_includedir}/libsnark/gadgetlib2/variable_operators.hpp
%{_includedir}/libsnark/reductions/bacs_to_r1cs/bacs_to_r1cs.hpp
%{_includedir}/libsnark/reductions/bacs_to_r1cs/bacs_to_r1cs.tcc
%{_includedir}/libsnark/reductions/r1cs_to_qap/r1cs_to_qap.hpp
%{_includedir}/libsnark/reductions/r1cs_to_qap/r1cs_to_qap.tcc
%{_includedir}/libsnark/reductions/ram_to_r1cs/gadgets/memory_checker_gadget.hpp
%{_includedir}/libsnark/reductions/ram_to_r1cs/gadgets/memory_checker_gadget.tcc
%{_includedir}/libsnark/reductions/ram_to_r1cs/gadgets/ram_universal_gadget.hpp
%{_includedir}/libsnark/reductions/ram_to_r1cs/gadgets/ram_universal_gadget.tcc
%{_includedir}/libsnark/reductions/ram_to_r1cs/gadgets/trace_lines.hpp
%{_includedir}/libsnark/reductions/ram_to_r1cs/gadgets/trace_lines.tcc
%{_includedir}/libsnark/reductions/ram_to_r1cs/ram_to_r1cs.hpp
%{_includedir}/libsnark/reductions/ram_to_r1cs/ram_to_r1cs.tcc
%{_includedir}/libsnark/reductions/tbcs_to_uscs/tbcs_to_uscs.hpp
%{_includedir}/libsnark/reductions/tbcs_to_uscs/tbcs_to_uscs.tcc
%{_includedir}/libsnark/reductions/uscs_to_ssp/uscs_to_ssp.hpp
%{_includedir}/libsnark/reductions/uscs_to_ssp/uscs_to_ssp.tcc
%{_includedir}/libsnark/relations/arithmetic_programs/qap/qap.hpp
%{_includedir}/libsnark/relations/arithmetic_programs/qap/qap.tcc
%{_includedir}/libsnark/relations/arithmetic_programs/ssp/ssp.hpp
%{_includedir}/libsnark/relations/arithmetic_programs/ssp/ssp.tcc
%{_includedir}/libsnark/relations/circuit_satisfaction_problems/bacs/bacs.hpp
%{_includedir}/libsnark/relations/circuit_satisfaction_problems/bacs/bacs.tcc
%{_includedir}/libsnark/relations/circuit_satisfaction_problems/bacs/examples/bacs_examples.hpp
%{_includedir}/libsnark/relations/circuit_satisfaction_problems/bacs/examples/bacs_examples.tcc
%{_includedir}/libsnark/relations/circuit_satisfaction_problems/tbcs/examples/tbcs_examples.hpp
%{_includedir}/libsnark/relations/circuit_satisfaction_problems/tbcs/tbcs.hpp
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/r1cs/examples/r1cs_examples.hpp
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/r1cs/examples/r1cs_examples.tcc
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/r1cs/r1cs.hpp
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/r1cs/r1cs.tcc
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/uscs/examples/uscs_examples.hpp
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/uscs/examples/uscs_examples.tcc
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/uscs/uscs.hpp
%{_includedir}/libsnark/relations/constraint_satisfaction_problems/uscs/uscs.tcc
%{_includedir}/libsnark/relations/ram_computations/memory/delegated_ra_memory.hpp
%{_includedir}/libsnark/relations/ram_computations/memory/delegated_ra_memory.tcc
%{_includedir}/libsnark/relations/ram_computations/memory/examples/memory_contents_examples.hpp
%{_includedir}/libsnark/relations/ram_computations/memory/memory_interface.hpp
%{_includedir}/libsnark/relations/ram_computations/memory/memory_store_trace.hpp
%{_includedir}/libsnark/relations/ram_computations/memory/ra_memory.hpp
%{_includedir}/libsnark/relations/ram_computations/rams/examples/ram_examples.hpp
%{_includedir}/libsnark/relations/ram_computations/rams/examples/ram_examples.tcc
%{_includedir}/libsnark/relations/ram_computations/rams/fooram/fooram_aux.hpp
%{_includedir}/libsnark/relations/ram_computations/rams/fooram/fooram_params.hpp
%{_includedir}/libsnark/relations/ram_computations/rams/ram_params.hpp
%{_includedir}/libsnark/relations/ram_computations/rams/tinyram/tinyram_aux.hpp
%{_includedir}/libsnark/relations/ram_computations/rams/tinyram/tinyram_params.hpp
%{_includedir}/libsnark/relations/variable.hpp
%{_includedir}/libsnark/relations/variable.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/compliance_predicate/compliance_predicate.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/compliance_predicate/compliance_predicate.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/compliance_predicate/cp_handler.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/compliance_predicate/cp_handler.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/compliance_predicate/examples/tally_cp.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/compliance_predicate/examples/tally_cp.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/ppzkpcd_compliance_predicate.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_mp_ppzkpcd/examples/run_r1cs_mp_ppzkpcd.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_mp_ppzkpcd/examples/run_r1cs_mp_ppzkpcd.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_mp_ppzkpcd/mp_pcd_circuits.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_mp_ppzkpcd/mp_pcd_circuits.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_mp_ppzkpcd/r1cs_mp_ppzkpcd.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_mp_ppzkpcd/r1cs_mp_ppzkpcd.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_mp_ppzkpcd/r1cs_mp_ppzkpcd_params.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_pcd_params.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_pcd_params.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_sp_ppzkpcd/examples/run_r1cs_sp_ppzkpcd.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_sp_ppzkpcd/examples/run_r1cs_sp_ppzkpcd.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_sp_ppzkpcd/r1cs_sp_ppzkpcd.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_sp_ppzkpcd/r1cs_sp_ppzkpcd.tcc
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_sp_ppzkpcd/r1cs_sp_ppzkpcd_params.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_sp_ppzkpcd/sp_pcd_circuits.hpp
%{_includedir}/libsnark/zk_proof_systems/pcd/r1cs_pcd/r1cs_sp_ppzkpcd/sp_pcd_circuits.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/examples/prf/aes_ctr_prf.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/examples/prf/aes_ctr_prf.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/examples/run_r1cs_ppzkadsnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/examples/run_r1cs_ppzkadsnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/examples/signature/ed25519_signature.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/examples/signature/ed25519_signature.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/r1cs_ppzkadsnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/r1cs_ppzkadsnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/r1cs_ppzkadsnark_params.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/r1cs_ppzkadsnark_prf.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzkadsnark/r1cs_ppzkadsnark/r1cs_ppzkadsnark_signature.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/bacs_ppzksnark/bacs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/bacs_ppzksnark/bacs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/bacs_ppzksnark/bacs_ppzksnark_params.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/bacs_ppzksnark/examples/run_bacs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/bacs_ppzksnark/examples/run_bacs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_gg_ppzksnark/examples/run_r1cs_gg_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_gg_ppzksnark/examples/run_r1cs_gg_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_gg_ppzksnark/r1cs_gg_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_gg_ppzksnark/r1cs_gg_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_gg_ppzksnark/r1cs_gg_ppzksnark_params.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_ppzksnark/examples/run_r1cs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_ppzksnark/examples/run_r1cs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_ppzksnark/r1cs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_ppzksnark/r1cs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/r1cs_ppzksnark/r1cs_ppzksnark_params.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/ram_ppzksnark/examples/run_ram_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/ram_ppzksnark/examples/run_ram_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/ram_ppzksnark/ram_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/ram_ppzksnark/ram_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/ram_ppzksnark/ram_ppzksnark_params.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/tbcs_ppzksnark/examples/run_tbcs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/tbcs_ppzksnark/examples/run_tbcs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/tbcs_ppzksnark/tbcs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/tbcs_ppzksnark/tbcs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/tbcs_ppzksnark/tbcs_ppzksnark_params.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/uscs_ppzksnark/examples/run_uscs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/uscs_ppzksnark/examples/run_uscs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/uscs_ppzksnark/uscs_ppzksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/uscs_ppzksnark/uscs_ppzksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/ppzksnark/uscs_ppzksnark/uscs_ppzksnark_params.hpp
%{_includedir}/libsnark/zk_proof_systems/zksnark/ram_zksnark/examples/run_ram_zksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/zksnark/ram_zksnark/examples/run_ram_zksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/zksnark/ram_zksnark/ram_compliance_predicate.hpp
%{_includedir}/libsnark/zk_proof_systems/zksnark/ram_zksnark/ram_compliance_predicate.tcc
%{_includedir}/libsnark/zk_proof_systems/zksnark/ram_zksnark/ram_zksnark.hpp
%{_includedir}/libsnark/zk_proof_systems/zksnark/ram_zksnark/ram_zksnark.tcc
%{_includedir}/libsnark/zk_proof_systems/zksnark/ram_zksnark/ram_zksnark_params.hpp


%files -n %libnamestaticdev
%{_libdir}/libsnark.a



%changelog
* Sun Oct 30 2016 dlucio <dlucio> 20140603-3.mga6
+ Revision: 1064145
- add some provides

* Sun Oct 30 2016 dlucio <dlucio> 20140603-2.mga6
+ Revision: 1064136
- only works on x86_64
- openssl-devel as BR
- libboost-devel as BR
- gmpxx-devel as BR
- procps-devel as BR
- zm-static-devel as BR
- gmp-devel as BR
- imported package libsnark

